description

# DataTransfer class Null safety

Annotations
  - @Native("DataTransfer")

## Constructors

DataTransfer()
  factory

## Properties

dropEffect ↔ String?
  read / write
effectAllowed ↔ String?
  read / write
files → List<File>?
  @Creates('FileList'), @Returns('FileList'), read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
items → DataTransferItemList?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
types → List<String>?
  read-only

## Methods

clearData([String? format]) → void
getData(String format) → String
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
setData(String format, String data) → void
setDragImage(Element image, int x, int y) → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited